//Source file: AbortMultipleChargingSessionsEvent.java
//Date: March 2007
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V7.0.0, Release 7

package org.csapi.jr.se.cs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the abortMultipleChargingSessions() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class AbortMultipleChargingSessionsEvent extends java.util.EventObject {

    /**
     * Constructor for the AbortMultipleChargingSessionsEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public AbortMultipleChargingSessionsEvent(java.lang.Object source,
        int[]                           chargingSessionSet) {

        super(source);
      this.chargingSessionSet = chargingSessionSet;
 
    }

    int[]                           chargingSessionSet;

    /**
     *  This method is used to retrieve the parameter value of 'chargingSessionSet' passed up
     *  from the Gateway in it's call to the abortMultipleChargingSessions() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'chargingSessionSet' used on creation of this event.
     */
    public int[] getChargingSessionSet() {

        return this.chargingSessionSet;
    }
       
}

