//Source file: AppInformation.java
//Date: March 2007
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V7.0.0, Release 7

package org.csapi.jr.se.cs;

/**
 * Defines a Tagged Choice of Data Elements that comprise an individual application information.
 *
 */
public final class AppInformation implements java.io.Serializable {

    private AppInformationType _discriminator = null;
    private java.lang.Object _object;

    /**
     * Creates a new AppInformation.
     * Tagged choice of data elements always have empty constructors
     */ 
    public AppInformation() {}

    /**
     * This method returns the discriminator.
     * 
     * @return a AppInformationType value 
     * @exception InvalidUnionAccessorException if an error occurs 
     */ 
    public AppInformationType getDiscriminator() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator == null) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return _discriminator;
    }

    /**
     * This method returns a Timestamp
     * 
     * @return  a java.lang.String value
     * @exception InvalidUnionAccessorException if an error occurs 
     */
    public java.lang.String getTimestamp() throws org.csapi.jr.se.InvalidUnionAccessorException {
        if (_discriminator != AppInformationType.APP_INF_TIMESTAMP) {
            throw new org.csapi.jr.se.InvalidUnionAccessorException();
        }
        return (((java.lang.String) _object));
    }

    /**
     * This method sets a Timestamp
     * 
     * @param value a java.lang.String value
     */
    public void setTimestamp(java.lang.String value) {
        _discriminator = AppInformationType.APP_INF_TIMESTAMP;
        _object = value;
    }


    /**
     * This method will receive the discriminator as a parameter and will set _object to null
     * 
     * @param discriminator a AppInformationType value 
     */ 
    public void setUndefined(AppInformationType discriminator) {
        _discriminator = discriminator;
        _object = null;
    }

    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) {
            return false;
        }
        if(!(o instanceof AppInformation)) {
            return false;
        } else {
            AppInformation appInformation= (AppInformation)o;
            if(!(this._object.equals(appInformation._object))){
                return false;
            } else {
                if(!(this._discriminator.equals(appInformation._discriminator))){
                    return false;
                }
            }
            if (this.hashCode() != o.hashCode()) {
                return false;
            }
            return true;
        }
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // AppInformation

