//Source file: ChargingManager.java
//Date: March 2007
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V7.0.0, Release 7

package org.csapi.jr.se.cs;

/**
 * This interface represents a ChargingManager.<BR>
 *
 */
public interface ChargingManager extends org.csapi.jr.se.Service {

    /**
     * Adds a ChargingManagerListener which is interested in events generated by the ChargingManager.
     *
     * @param  chargingManagerListener  A reference to the ChargingManagerListener which is to be added as
     *         a listener.
     */
    void addChargingManagerListener(org.csapi.jr.se.cs.ChargingManagerListener chargingManagerListener);

    /**
     * Removes a ChargingManagerListener which is no longer interested in events generated by the ChargingManager.
     *
     * @param  chargingManagerListener  A reference to the ChargingManagerListener which is to be removed as
     *         a listener.
     */
    void removeChargingManagerListener(org.csapi.jr.se.cs.ChargingManagerListener chargingManagerListener);

    /**
     * Invokes the createChargingSession() method on the Parlay Gateway and returns a reference to a transient interface.
     */
    org.csapi.jr.se.cs.ChargingSession createChargingSession(
           java.lang.String                sessionDescription,
           org.csapi.jr.se.cs.MerchantAccountID merchantAccount,
           org.csapi.jr.se.Address user,
           org.csapi.jr.se.cs.CorrelationID correlationID)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.cs.InvalidUserException,
       org.csapi.jr.se.cs.InvalidAccountException;

    /**
     * Invokes the createSplitChargingSession() method on the Parlay Gateway and returns a reference to a transient interface.
     */
    org.csapi.jr.se.cs.ChargingSession createSplitChargingSession(
           java.lang.String                sessionDescription,
           org.csapi.jr.se.cs.MerchantAccountID merchantAccount,
           org.csapi.jr.se.Address[] users,
           org.csapi.jr.se.cs.CorrelationID correlationID)
      throws org.csapi.jr.se.PlatformException,
       org.csapi.jr.se.CommonException,
       org.csapi.jr.se.cs.InvalidUserException,
       org.csapi.jr.se.cs.InvalidAccountException;

}
