//Source file: ChargingSessionListener.java
//Date: March 2007
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V7.0.0, Release 7

package org.csapi.jr.se.cs;

/**
 * This interface is to be implemented for receiving events issued by the ChargingSession service object.<BR>
 *
 */
public interface ChargingSessionListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the creditAmountErr() method on 
    * the callback interface.
    *
    * @param  creditAmountErrEvent  Reference to a CreditAmountErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCreditAmountErrEvent(org.csapi.jr.se.cs.CreditAmountErrEvent creditAmountErrEvent);


   /**
    * Called due to a Gateway initiated call to the creditAmountRes() method on 
    * the callback interface.
    *
    * @param  creditAmountResEvent  Reference to a CreditAmountResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCreditAmountResEvent(org.csapi.jr.se.cs.CreditAmountResEvent creditAmountResEvent);


   /**
    * Called due to a Gateway initiated call to the creditUnitErr() method on 
    * the callback interface.
    *
    * @param  creditUnitErrEvent  Reference to a CreditUnitErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCreditUnitErrEvent(org.csapi.jr.se.cs.CreditUnitErrEvent creditUnitErrEvent);


   /**
    * Called due to a Gateway initiated call to the creditUnitRes() method on 
    * the callback interface.
    *
    * @param  creditUnitResEvent  Reference to a CreditUnitResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCreditUnitResEvent(org.csapi.jr.se.cs.CreditUnitResEvent creditUnitResEvent);


   /**
    * Called due to a Gateway initiated call to the debitAmountErr() method on 
    * the callback interface.
    *
    * @param  debitAmountErrEvent  Reference to a DebitAmountErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDebitAmountErrEvent(org.csapi.jr.se.cs.DebitAmountErrEvent debitAmountErrEvent);


   /**
    * Called due to a Gateway initiated call to the debitAmountRes() method on 
    * the callback interface.
    *
    * @param  debitAmountResEvent  Reference to a DebitAmountResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDebitAmountResEvent(org.csapi.jr.se.cs.DebitAmountResEvent debitAmountResEvent);


   /**
    * Called due to a Gateway initiated call to the debitUnitErr() method on 
    * the callback interface.
    *
    * @param  debitUnitErrEvent  Reference to a DebitUnitErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDebitUnitErrEvent(org.csapi.jr.se.cs.DebitUnitErrEvent debitUnitErrEvent);


   /**
    * Called due to a Gateway initiated call to the debitUnitRes() method on 
    * the callback interface.
    *
    * @param  debitUnitResEvent  Reference to a DebitUnitResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDebitUnitResEvent(org.csapi.jr.se.cs.DebitUnitResEvent debitUnitResEvent);


   /**
    * Called due to a Gateway initiated call to the directCreditAmountErr() method on 
    * the callback interface.
    *
    * @param  directCreditAmountErrEvent  Reference to a DirectCreditAmountErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDirectCreditAmountErrEvent(org.csapi.jr.se.cs.DirectCreditAmountErrEvent directCreditAmountErrEvent);


   /**
    * Called due to a Gateway initiated call to the directCreditAmountRes() method on 
    * the callback interface.
    *
    * @param  directCreditAmountResEvent  Reference to a DirectCreditAmountResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDirectCreditAmountResEvent(org.csapi.jr.se.cs.DirectCreditAmountResEvent directCreditAmountResEvent);


   /**
    * Called due to a Gateway initiated call to the directCreditUnitErr() method on 
    * the callback interface.
    *
    * @param  directCreditUnitErrEvent  Reference to a DirectCreditUnitErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDirectCreditUnitErrEvent(org.csapi.jr.se.cs.DirectCreditUnitErrEvent directCreditUnitErrEvent);


   /**
    * Called due to a Gateway initiated call to the directCreditUnitRes() method on 
    * the callback interface.
    *
    * @param  directCreditUnitResEvent  Reference to a DirectCreditUnitResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDirectCreditUnitResEvent(org.csapi.jr.se.cs.DirectCreditUnitResEvent directCreditUnitResEvent);


   /**
    * Called due to a Gateway initiated call to the directDebitAmountErr() method on 
    * the callback interface.
    *
    * @param  directDebitAmountErrEvent  Reference to a DirectDebitAmountErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDirectDebitAmountErrEvent(org.csapi.jr.se.cs.DirectDebitAmountErrEvent directDebitAmountErrEvent);


   /**
    * Called due to a Gateway initiated call to the directDebitAmountRes() method on 
    * the callback interface.
    *
    * @param  directDebitAmountResEvent  Reference to a DirectDebitAmountResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDirectDebitAmountResEvent(org.csapi.jr.se.cs.DirectDebitAmountResEvent directDebitAmountResEvent);


   /**
    * Called due to a Gateway initiated call to the directDebitUnitErr() method on 
    * the callback interface.
    *
    * @param  directDebitUnitErrEvent  Reference to a DirectDebitUnitErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDirectDebitUnitErrEvent(org.csapi.jr.se.cs.DirectDebitUnitErrEvent directDebitUnitErrEvent);


   /**
    * Called due to a Gateway initiated call to the directDebitUnitRes() method on 
    * the callback interface.
    *
    * @param  directDebitUnitResEvent  Reference to a DirectDebitUnitResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onDirectDebitUnitResEvent(org.csapi.jr.se.cs.DirectDebitUnitResEvent directDebitUnitResEvent);


   /**
    * Called due to a Gateway initiated call to the extendLifeTimeErr() method on 
    * the callback interface.
    *
    * @param  extendLifeTimeErrEvent  Reference to a ExtendLifeTimeErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onExtendLifeTimeErrEvent(org.csapi.jr.se.cs.ExtendLifeTimeErrEvent extendLifeTimeErrEvent);


   /**
    * Called due to a Gateway initiated call to the extendLifeTimeRes() method on 
    * the callback interface.
    *
    * @param  extendLifeTimeResEvent  Reference to a ExtendLifeTimeResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onExtendLifeTimeResEvent(org.csapi.jr.se.cs.ExtendLifeTimeResEvent extendLifeTimeResEvent);


   /**
    * Called due to a Gateway initiated call to the rateErr() method on 
    * the callback interface.
    *
    * @param  rateErrEvent  Reference to a RateErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onRateErrEvent(org.csapi.jr.se.cs.RateErrEvent rateErrEvent);


   /**
    * Called due to a Gateway initiated call to the rateRes() method on 
    * the callback interface.
    *
    * @param  rateResEvent  Reference to a RateResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onRateResEvent(org.csapi.jr.se.cs.RateResEvent rateResEvent);


   /**
    * Called due to a Gateway initiated call to the reserveAmountErr() method on 
    * the callback interface.
    *
    * @param  reserveAmountErrEvent  Reference to a ReserveAmountErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onReserveAmountErrEvent(org.csapi.jr.se.cs.ReserveAmountErrEvent reserveAmountErrEvent);


   /**
    * Called due to a Gateway initiated call to the reserveAmountRes() method on 
    * the callback interface.
    *
    * @param  reserveAmountResEvent  Reference to a ReserveAmountResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onReserveAmountResEvent(org.csapi.jr.se.cs.ReserveAmountResEvent reserveAmountResEvent);


   /**
    * Called due to a Gateway initiated call to the reserveUnitErr() method on 
    * the callback interface.
    *
    * @param  reserveUnitErrEvent  Reference to a ReserveUnitErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onReserveUnitErrEvent(org.csapi.jr.se.cs.ReserveUnitErrEvent reserveUnitErrEvent);


   /**
    * Called due to a Gateway initiated call to the reserveUnitRes() method on 
    * the callback interface.
    *
    * @param  reserveUnitResEvent  Reference to a ReserveUnitResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onReserveUnitResEvent(org.csapi.jr.se.cs.ReserveUnitResEvent reserveUnitResEvent);


   /**
    * Called due to a Gateway initiated call to the sessionEnded() method on 
    * the callback interface.
    *
    * @param  sessionEndedEvent  Reference to a SessionEndedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSessionEndedEvent(org.csapi.jr.se.cs.SessionEndedEvent sessionEndedEvent);

}

