//Source file: CorrelationID.java
//Date: March 2007
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V7.0.0, Release 7

package org.csapi.jr.se.cs;

/**
 * Defines the Sequence of Data Elements that identify a correlation. 
 * 
 */
public final class CorrelationID implements java.io.Serializable {

    private int correlationID;
    private int correlationType;

    /**
     * Creates a new CorrelationID instance.
     */
    public CorrelationID () {}

    /**
     * Creates a new CorrelationID instance.
     * @param _correlationID   
     * @param _correlationType   
     */
    public CorrelationID (int _correlationID, int _correlationType) {

        this.correlationID = _correlationID;
        this.correlationType = _correlationType;
    }

    /**
     * This method returns a correlationID.
     * 
     * @return a int value
     */
    public int getCorrelationID() {
        return correlationID;
    }

    /**
     * This method returns a correlationType.
     * 
     * @return a int value
     */
    public int getCorrelationType() {
        return correlationType;
    }


    /**
     * This method sets a correlationID.
     */ 
    public void setCorrelationID(int correlationID) {
        this.correlationID = correlationID;
    }

    /**
     * This method sets a correlationType.
     */ 
    public void setCorrelationType(int correlationType) {
        this.correlationType = correlationType;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof CorrelationID)) {
            return false;
        } 
        CorrelationID correlationID = (CorrelationID) o;
        if(!(this.correlationID == correlationID.correlationID)) {
            return false;
        }
        if(!(this.correlationType == correlationID.correlationType))  {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // CorrelationID

