//Source file: CreditUnitResEvent.java
//Date: March 2007
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V7.0.0, Release 7

package org.csapi.jr.se.cs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the creditUnitRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class CreditUnitResEvent extends java.util.EventObject {

    /**
     * Constructor for the CreditUnitResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public CreditUnitResEvent(java.lang.Object source,
        org.csapi.jr.se.cs.Volume[] creditedVolumes,
        org.csapi.jr.se.cs.Volume[] reservedUnitsLeft) {

        super(source);
      this.creditedVolumes = creditedVolumes;
      this.reservedUnitsLeft = reservedUnitsLeft;
 
    }

    org.csapi.jr.se.cs.Volume[] creditedVolumes;

    /**
     *  This method is used to retrieve the parameter value of 'creditedVolumes' passed up
     *  from the Gateway in it's call to the creditUnitRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'creditedVolumes' used on creation of this event.
     */
    public org.csapi.jr.se.cs.Volume[] getCreditedVolumes() {

        return this.creditedVolumes;
    }
       
    org.csapi.jr.se.cs.Volume[] reservedUnitsLeft;

    /**
     *  This method is used to retrieve the parameter value of 'reservedUnitsLeft' passed up
     *  from the Gateway in it's call to the creditUnitRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'reservedUnitsLeft' used on creation of this event.
     */
    public org.csapi.jr.se.cs.Volume[] getReservedUnitsLeft() {

        return this.reservedUnitsLeft;
    }
       
}

