//Source file: DirectDebitAmountResEvent.java
//Date: March 2007
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V7.0.0, Release 7

package org.csapi.jr.se.cs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the directDebitAmountRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class DirectDebitAmountResEvent extends java.util.EventObject {

    /**
     * Constructor for the DirectDebitAmountResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public DirectDebitAmountResEvent(java.lang.Object source,
        org.csapi.jr.se.cs.ChargingPrice debitedAmount) {

        super(source);
      this.debitedAmount = debitedAmount;
 
    }

    org.csapi.jr.se.cs.ChargingPrice debitedAmount;

    /**
     *  This method is used to retrieve the parameter value of 'debitedAmount' passed up
     *  from the Gateway in it's call to the directDebitAmountRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'debitedAmount' used on creation of this event.
     */
    public org.csapi.jr.se.cs.ChargingPrice getDebitedAmount() {

        return this.debitedAmount;
    }
       
}

