//Source file: DirectDebitUnitErrEvent.java
//Date: March 2007
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V7.0.0, Release 7

package org.csapi.jr.se.cs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the directDebitUnitErr() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class DirectDebitUnitErrEvent extends java.util.EventObject {

    /**
     * Constructor for the DirectDebitUnitErrEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public DirectDebitUnitErrEvent(java.lang.Object source,
        org.csapi.jr.se.cs.ChargingError error) {

        super(source);
      this.error = error;
 
    }

    org.csapi.jr.se.cs.ChargingError error;

    /**
     *  This method is used to retrieve the parameter value of 'error' passed up
     *  from the Gateway in it's call to the directDebitUnitErr() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'error' used on creation of this event.
     */
    public org.csapi.jr.se.cs.ChargingError getError() {

        return this.error;
    }
       
}

