//Source file: MerchantAccountID.java
//Date: March 2007
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V7.0.0, Release 7

package org.csapi.jr.se.cs;

/**
 * Defines a Sequence of Data Elements that defines the used service. 
 * 
 */
public final class MerchantAccountID implements java.io.Serializable {

    private String merchantID;
    private int accountID;

    /**
     * Creates a new MerchantAccountID instance.
     */
    public MerchantAccountID () {}

    /**
     * Creates a new MerchantAccountID instance.
     * @param _merchantID   
     * @param _accountID   
     */
    public MerchantAccountID (String _merchantID, int _accountID) {

        this.merchantID = _merchantID;
        this.accountID = _accountID;
    }

    /**
     * This method returns a merchantID.
     * 
     * @return a String value
     */
    public String getMerchantID() {
        return merchantID;
    }

    /**
     * This method returns a accountID.
     * 
     * @return a int value
     */
    public int getAccountID() {
        return accountID;
    }


    /**
     * This method sets a merchantID.
     */ 
    public void setMerchantID(String merchantID) {
        this.merchantID = merchantID;
    }

    /**
     * This method sets a accountID.
     */ 
    public void setAccountID(int accountID) {
        this.accountID = accountID;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof MerchantAccountID)) {
            return false;
        } 
        MerchantAccountID merchantAccountID = (MerchantAccountID) o;
        if ((this.merchantID != null) && (merchantAccountID.merchantID != null)) {
            if(!(this.merchantID.equals(merchantAccountID.merchantID)))  {
                return false;
            }
        }
        if(!(this.accountID == merchantAccountID.accountID)) {
            return false;
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // MerchantAccountID

