//Source file: RateResEvent.java
//Date: March 2007
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V7.0.0, Release 7

package org.csapi.jr.se.cs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the rateRes() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class RateResEvent extends java.util.EventObject {

    /**
     * Constructor for the RateResEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public RateResEvent(java.lang.Object source,
        org.csapi.jr.se.cs.PriceVolume[] rates,
        int                             validityTimeLeft) {

        super(source);
      this.rates = rates;
      this.validityTimeLeft = validityTimeLeft;
 
    }

    org.csapi.jr.se.cs.PriceVolume[] rates;

    /**
     *  This method is used to retrieve the parameter value of 'rates' passed up
     *  from the Gateway in it's call to the rateRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'rates' used on creation of this event.
     */
    public org.csapi.jr.se.cs.PriceVolume[] getRates() {

        return this.rates;
    }
       
    int                             validityTimeLeft;

    /**
     *  This method is used to retrieve the parameter value of 'validityTimeLeft' passed up
     *  from the Gateway in it's call to the rateRes() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'validityTimeLeft' used on creation of this event.
     */
    public int getValidityTimeLeft() {

        return this.validityTimeLeft;
    }
       
}

