//Source file: SessionEndedEvent.java
//Date: March 2007
//Charging Interfaces and Data Types for 3GPP TS 29.198-12 V7.0.0, Release 7

package org.csapi.jr.se.cs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the sessionEnded() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class SessionEndedEvent extends java.util.EventObject {

    /**
     * Constructor for the SessionEndedEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public SessionEndedEvent(java.lang.Object source,
        org.csapi.jr.se.cs.SessionEndedCause report) {

        super(source);
      this.report = report;
 
    }

    org.csapi.jr.se.cs.SessionEndedCause report;

    /**
     *  This method is used to retrieve the parameter value of 'report' passed up
     *  from the Gateway in it's call to the sessionEnded() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'report' used on creation of this event.
     */
    public org.csapi.jr.se.cs.SessionEndedCause getReport() {

        return this.report;
    }
       
}

